FSCK.MINIX(8)

NOMBRE
fsck.minix - check consistency of Minix filesystem

SINOPSIS

fsck.minix [opciones] dispositivo

DESCRIPCIÓN

fsck.minix realiza una comprobación de consistencia para el sistema de ficheros MINIX de Linux.

The program assumes the filesystem is quiescent. fsck.minix should not be used on a mounted device unless you can be sure nobody is writing to it. Remember that the kernel can write to device when it searches for files.

The device name will usually have the following form:
    /dev/hda[1-63] | IDE disk 1
    /dev/hdb[1-63] | IDE disk 2
    /dev/sda[1-15] | SCSI disk 1
    /dev/sdb[1-15] | SCSI disk 2

If the filesystem was changed, i.e., repaired, then fsck.minix will print "FILE SYSTEM HAS BEEN CHANGED" and will sync(2) three times before exiting. There is no need to reboot after check.

AVISO

fsck.minix should not be used on a mounted filesystem. Using fsck.minix on a mounted filesystem is very dangerous, due to the possibility that deleted files are still in use, and can seriously damage a perfectly good filesystem! If you absolutely have to run fsck.minix on a mounted filesystem, such as the root filesystem, make sure nothing is writing to the disk, and that no files are "zombies" waiting for deletion.

OPCIONES

-l, --list
    Lista todos los nombres de fichero.

-r, --repair
    Efectúa reparaciones interactivas.

-a, --auto
    Efectúa reparaciones automáticas. Esta opción implica --repair y sirve para contestar todas las preguntas con la respuesta predeterminada. Observe que esto puede ser extremadamente peligroso en el caso de daños extensos en el sistema de ficheros.

-v, --verbose
    Be verbose.

-s, --super
    Muestra información del súper-bloque.

-m, --uncleared
    Activa los avisos al estilo de MINIX "modo no limpiado".

-f, --force
    Fuerza la comprobación del sistema de ficheros incluso si el sistema de ficheros fue marcado como válido. Esta marca la hace el núcleo cuando el sistema de ficheros se desmonta.

-h, --help
    Mostrar texto de ayuda y finalizar.

-V, --version
    Print version and exit.

DIAGNÓSTICOS

Hay numerosos mensajes de diagnóstico. Los mencionados aquí son los más comúnmente vistos en el uso normal.

Si el dispositivo no existe, fsck.minix mostrará "unable to read super block" ("incapaz de leer el súper-bloque"). Si el dispositivo existe pero no es un sistema de ficheros MINIX, fsck.minix imprimirá "bad magic number in super-block" ("mal numéro mágico en el súper-bloque").

ESTADO DE SALIDA

El código de salida devuelto por fsck.minix es la suma de los siguientes:

0
    Sin errores

3
    Errores del sistema de ficheros corregidos, el sistema debería rearrancarse si el sistema de ficheros estaba montado

4
    Se han dejado errores del sistema de ficheros sin corregir

7
    Combination of exit statuses 3 and 4

8
    Error operacional

16
    Error de modo de empleo o de sintaxis

AUTORES

Exit status values by Added support for filesystem valid flag: Check to prevent fsck of mounted filesystem added by Minix v2 fs support by updated by Portability patch by

VÉASE TAMBIÉN

fsck(8), fsck.ext2(8), mkfs(8), mkfs.ext2(8), mkfs.minix(8), reboot(8)

INFORMAR DE ERRORES

For bug reports, use the issue tracker at

DISPONIBILIDAD

La orden fsck.minix forma parte del paquete util-linux, el cual puededescargarse de